% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/models.R
\name{delete_rect}
\alias{delete_rect}
\title{rectangular hole in image}
\usage{
delete_rect(image,i,j,width,height)
}
\arguments{
\item{image}{image to be modified, it has to be a 3D array proceed with readImage function from EBImage package}

\item{i}{row index of the upper left corner of the rectangle}

\item{j}{column index of the upper left corner of the rectangle}

\item{width}{width of the rectangle}

\item{height}{height of the rectangle}
}
\value{
a 3D array with pixels in the hole set to -100 and the rest of the image pixels unchanged
}
\description{
creates a rectangular hole in the image with the specified dimensions
}
\details{
delete_rect
}
\examples{
image<-EBImage::readImage(system.file("extdata", "bird.jpg", package = "ProxReg"))
image_noise<-delete_rect(image,160,160,20,20)
image_noise<-EBImage::Image(image_noise,colormode = "Color")
EBImage::display(image_noise)
}
